#include <iostream>
#include <vector>
#include <cstdint>

class Streamer {
public:
    struct StreamInfo {

        using ip_addr = std::string;
        using port = uint16_t;
        using vlan = uint16_t;

        ip_addr sourceAddress_;
        ip_addr destinationAddress_;
        port sourcePort_;
        port destinationPort_;
        vlan vlan_;
    };

    Streamer(std::initializer_list<StreamInfo> info) : info_{info}{
        std::cout << "initializer_list\n";
    }

    Streamer(const StreamInfo& info) : info_{info} {
        std::cout << "initialization\n";
    }

private:
    std::vector<StreamInfo> info_;
};

int main() {
    Streamer streamer({"192.168.0.0", "192.168.10.24", 5432, 5432, 12});
    Streamer streamer2{};
}
